package com.nisum.dao;

import com.nisum.model.impl.EmployeeImp;

import java.util.Collection;
import java.util.Optional;

public interface Dao<T> {
  Optional<T> getById(Integer id);
  Collection<T> getAll();

  void save(T t);
  void update(T t);
  void delete(T t);
  EmployeeImp findEmployeeById(T t);
}
